Bug 1008772 - Review Request: hidapi - Library for communicating with USB and Bluetooth HID devices
Review Request: hidapi - Library for communicating with USB and Bluetooth HID...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
: 877694 (view as bug list)
Depends On:
Blocks: 1022317
  Show dependency treegraph
 
Reported: 2013-09-17 00:20 EDT by Scott Talbert
Modified: 2013-11-10 21:29 EST (History)
4 users (show)

See Also:
Fixed In Version: hidapi-0.7.0-2.a88c724.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 01:58:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Scott Talbert 2013-09-17 00:20:54 EDT
Spec URL: http://www.techie.net/~talbert/hidapi/hidapi.spec
SRPM URL: http://www.techie.net/~talbert/hidapi/hidapi-0.7.0-1.a88c724.fc19.src.rpm

Description: HIDAPI is a multi-platform library which allows an application to interface with USB and Bluetooth HID-class devices on Windows, Linux, FreeBSD and Mac OS X.  On Linux, either the hidraw or the libusb back-end can be used. There are trade-offs and the functionality supported is slightly different.

Fedora Account System Username: swt2c

Koji Build Task: http://koji.fedoraproject.org/koji/taskinfo?taskID=5943782

Thanks,
Scott
Comment 1 Christopher Meng 2013-10-22 23:58:14 EDT
Drop by comments:

1. Requires: hidapi = %{version}-%{release}

-->

Requires:       %{name}%{?_isa} = %{version}-%{release}

2. %package -n hidapi-devel

-->

%package devel

%files -n hidapi-devel

-->

%files devel

3. %dir %{_includedir}/hidapi
%{_includedir}/hidapi/hidapi.h

-->

%{_includedir}/hidapi

4. Tiny question, why not use this URL as Github has offered such function:

https://github.com/downloads/signal11/hidapi/hidapi-0.7.0.zip
Comment 2 Scott Talbert 2013-10-23 18:43:55 EDT
Thanks a lot for the comments.  I incorporated those changes.

On #4 - the reason I am not using the released version (0.7.0) is that it is quite old and has many bugs.  The upstream maintainer does not make releases regularly, so I am using a git snapshot.

Thanks,
Scott
Comment 3 Christopher Meng 2013-10-24 21:51:10 EDT
Taken.
Comment 4 Christopher Meng 2013-10-24 22:41:49 EDT
*** Bug 877694 has been marked as a duplicate of this bug. ***
Comment 5 Christopher Meng 2013-10-25 00:13:48 EDT
Would you like to add BR of fox-utils so you can test the GUI(https://github.com/signal11/hidapi/blob/master/README.txt#L148)?
Comment 6 Scott Talbert 2013-10-27 22:27:04 EDT
(In reply to Christopher Meng from comment #5)
> Would you like to add BR of fox-utils so you can test the
> GUI(https://github.com/signal11/hidapi/blob/master/README.txt#L148)?

I disabled building the test GUI (--disable-testgui) as I wasn't sure it was useful (I've not used it) and I was concerned about adding additional library dependencies - it seems like a low-level USB/Bluetooth library shouldn't depend on a GUI library.  If you feel like it should be included, perhaps it should be a separate package, like hidapi-testgui or something.  But I'm just as inclined to leave it out.
Comment 7 Christopher Meng 2013-10-29 01:18:28 EDT
(In reply to Scott Talbert from comment #6)
> I disabled building the test GUI (--disable-testgui) as I wasn't sure it was
> useful (I've not used it) and I was concerned about adding additional
> library dependencies - it seems like a low-level USB/Bluetooth library
> shouldn't depend on a GUI library.  If you feel like it should be included,
> perhaps it should be a separate package, like hidapi-testgui or something. 
> But I'm just as inclined to leave it out.

Good reason, agree.

Package is fine, however I can find a udev rules in git, can you tell me if we need it, too?
Comment 8 Scott Talbert 2013-10-29 11:34:01 EDT
(In reply to Christopher Meng from comment #7)
> Package is fine, however I can find a udev rules in git, can you tell me if
> we need it, too?

No, we don't need it.  That is just a sample udev rules file that could be used with some device.  Packages that use hidapi may wish to supply a udev rules file, but hidapi shouldn't provide a packaged one.
Comment 9 Christopher Meng 2013-10-29 11:36:23 EDT
Then everything is fine at present.

PACKAGE APPROVED.
Comment 10 Christopher Meng 2013-10-29 11:38:02 EDT
New Notes:


%install
rm -rf $RPM_BUILD_ROOT

Please remove.

---------------

%post -n hidapi -p /sbin/ldconfig
%postun -n hidapi -p /sbin/ldconfig


--->

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig
Comment 11 Scott Talbert 2013-10-29 19:59:03 EDT
(In reply to Christopher Meng from comment #10)
> New Notes:
> 
> 
> %install
> rm -rf $RPM_BUILD_ROOT
> 
> Please remove.
> 
> ---------------
> 
> %post -n hidapi -p /sbin/ldconfig
> %postun -n hidapi -p /sbin/ldconfig
> 
> 
> --->
> 
> %post -p /sbin/ldconfig
> %postun -p /sbin/ldconfig

Fixes incorporated.
SPEC: http://www.techie.net/~talbert/hidapi/hidapi.spec
SRPM: http://www.techie.net/~talbert/hidapi/hidapi-0.7.0-2.a88c724.fc19.src.rpm
Comment 12 Scott Talbert 2013-10-30 19:09:02 EDT
New Package SCM Request
=======================
Package Name: hidapi
Short Description: Library for communicating with USB and Bluetooth HID devices
Owners: swt2c
Branches: f19 f20
InitialCC:
Comment 13 Gwyn Ciesla 2013-10-31 08:16:50 EDT
Git done (by process-git-requests).
Comment 14 Fedora Update System 2013-10-31 22:29:50 EDT
hidapi-0.7.0-2.a88c724.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/hidapi-0.7.0-2.a88c724.fc20
Comment 15 Fedora Update System 2013-10-31 22:36:12 EDT
hidapi-0.7.0-2.a88c724.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/hidapi-0.7.0-2.a88c724.fc19
Comment 16 Fedora Update System 2013-11-01 16:25:24 EDT
hidapi-0.7.0-2.a88c724.fc20 has been pushed to the Fedora 20 testing repository.
Comment 17 Fedora Update System 2013-11-10 01:58:37 EST
hidapi-0.7.0-2.a88c724.fc20 has been pushed to the Fedora 20 stable repository.
Comment 18 Fedora Update System 2013-11-10 21:29:09 EST
hidapi-0.7.0-2.a88c724.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.